Bug 468556 - Review Request: rubygem-cgi_multipart_eof_fix - Multipart EOF fix for mongrel
Review Request: rubygem-cgi_multipart_eof_fix - Multipart EOF fix for mongrel
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-25 17:42 EDT by Jeroen van Meeuwen
Modified: 2008-10-28 05:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-28 05:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 S.A. Hartsuiker 2008-10-25 20:56:23 EDT
RPM Lint: quiet
Package name: ok
Spec file: ok
License: Ruby
Actual License: GPL with addendums, not sure which version though
%doc License: COPYING (see below)
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok (md5: 0f8e1d2889411d04ca7726324eef8a4c)
Compile and Build:
 - F-8: ok
 - F-9: ok
 - F-10: ok
 - F-11: ok
 - rawhide: ok 
 - EL-5: n/a

Applicable Package Guidelines: ok

Locales: n/a
Shared libs: n/a

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: n/a
%doc affecting runtime: ok
Header files in -devel package: n/a
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files: n/a
Devel requires base package: n/a
.la libtool archives: n/a
Duplicate ownership of files/directories: ok
Remove BuildRoot: ok
UTF-8 filenames: ok

CHANGELOG,LICENSE,README not marked as %doc
The license is a bit unclear, from the LICENSE file it's GPL with addendums, but which version of the GPL is unclear.
Comment 3 S.A. Hartsuiker 2008-10-25 21:14:37 EDT
ok, this belongs with mongrel, and the website states it as a Ruby license so that's ok.
%doc files are fixed, so package APPROVED.
Comment 4 Jeroen van Meeuwen 2008-10-25 21:16:36 EDT
New Package CVS Request
=======================
Package Name: rubygem-cgi_multipart_eof_fix
Short Description: CGI Multipart EOF fix for mongrel
Owners: kanarip
Branches: EL-4 EL-5 F-8 F-9 devel
InitialCC:
Comment 5 Mamoru TASAKA 2008-10-26 13:39:12 EDT
Please use "Requires: rubygem(mongrel)" instead of "Requires: rubygem-mongrel".
Making rubygem rpm package have "Provides: rubygem(foo)" is for this purpose:

Ref:
https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides
Comment 7 Jeroen van Meeuwen 2008-10-28 05:39:45 EDT
Deferred I only notice now this is part of the mongrel package already

Note You need to log in before you can comment on or make changes to this bug.